This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 106319 - /dev/cdrom not installed by dev package
/dev/cdrom not installed by dev package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: devlabel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-05 09:30 EDT by Bob Cochran
Modified: 2014-03-16 22:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-06 01:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bob Cochran 2003-10-05 09:30:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5a)
Gecko/20030728 Mozilla Firebird/0.6.1

Description of problem:
This issue is really for the dev package, it is not listed as a component in
Bugzilla for Fedora Core.

dev-3.3.8-2 does not appear to install /dev/cdrom in a system on which a clean
install (not an upgrade) is being done. In fact, grep'ing on 'cdrom' shows no
/dev/cdrom devices whatsoever in the package files list.

 

Version-Release number of selected component (if applicable):
dev-3.3.8-2

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core as a clean install.
2. 
3.
    

Actual Results:  /dev/cdrom and similar special device files are not installed.

Expected Results:  /dev/cdrom should be installed. This also affects updating of
fstab.

Additional info:
Comment 1 M Jang 2003-10-05 10:51:28 EDT
Just tried an experiment with my RHL9 box, where I commented out my /dev/cdrom 
line. I'd think some combination of kudzu and updfstab should restore 
/dev/cdrom. It does not.




However, the updfstab command does work after reboot. So I'm guessing this is 
really a feature request, to add /usr/sbin/updfstab to some appropriate rc 
script after kudzu is run.
Comment 2 Bill Nottingham 2003-10-06 01:29:07 EDT
It's *in* the kudzu rc script. /dev/cdrom is not a packaged file.

Note You need to log in before you can comment on or make changes to this bug.